%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	GPS service daemon
Name:		gpsd
Version:	2.95
Release:	1
Epoch:		1
BuildArch:	i686
License:	GNU/GPL
URL:		http://gpsd.berlios.de/
Group:		System/Daemons
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Sources
Source0:	%{name}-%{version}.tar.gz
Source200:	xgps.desktop
Source201:	xgpsspeed.desktop
Source202:	gpsd-logo.png

# Manual build dependencies
BuildRequires: xmlto
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel

BuildRequires:	bluez-devel
BuildRequires:  qt4-devel

#Automatically resolved build dependencies
BuildRequires: coreutils
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: lesstif-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXaw-devel
BuildRequires: libXt-devel libXp-devel xorg-x11-proto-devel
BuildRequires: ncurses-devel
BuildRequires: python26-devel
BuildRequires: zlib-devel  desktop-file-utils

Obsoletes:	gpsd-python

%description
gpsd is a service daemon that mediates access to a GPS sensor
connected to the host computer by serial or USB interface, making its
data on the location/course/velocity of the sensor available to be
queried on TCP port 2947 of the host computer.  With gpsd, multiple
GPS client applications (such as navigational and wardriving software)
can share access to a GPS without contention or loss of data.  Also,
gpsd responds to queries with a format that is substantially easier to
parse than NMEA 0183.  A client library is provided for applications.

After installing this RPM, gpsd will automatically connect to USB
GPSes when they are plugged in and requires no configuration.  For
serial GPSes, you will need to start gpsd by hand.  Once connected,
the daemon automatically discovers the correct baudrate, stop bits,
and protocol. The daemon will be quiescent when there are no
clients asking for location information, and copes gracefully when the
GPS is unplugged and replugged.

%package	devel
Summary:	Client libraries in C and Python for talking to a running gpsd or GPS
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	devel
This package provides C header files for the gpsd shared libraries
that manage access to a GPS for applications; also Python modules.

%package	clients
Summary:	Clients for gpsd
Group:		System
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	clients
xgps is a simple test client for gpsd with an X interface. It displays
current GPS position/time/velocity information and (for GPSes that
support the feature) the locations of accessible satellites.

xgpsspeed is a speedometer that uses position information from the GPS.
It accepts an -h option and optional argument as for gps, or a -v option
to dump the package version and exit. Additionally, it accepts -rv
(reverse video) and -nc (needle color) options.

cgps resembles xgps, but without the pictorial satellite display.  It
can run on a serial terminal or terminal emulator.

%package        qt
Summary:        qt4 bindings for talking to a running gpsd or GPS
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    qt
This package provides qt4 bindings for the gpsd shared libraries
that manage access to a GPS for applications

%package        qt-devel
Summary:        qt4 bindings headers for talking to a running gpsd or GPS
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       gpsd-qt = %{epoch}:%{version}-%{release}

%description    qt-devel
This package provides qt4 bindings headers for the gpsd shared libraries
that manage access to a GPS for applications

%package        python
Summary:        Python bindings for talking to a running gpsd or GPS
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    python
This package provides Python modules for the gpsd shared libraries
that manage access to a GPS for applications


%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
%configure \
--enable-dbus \
--disable-static \
--enable-bluetooth \
PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# additional gpsd files
mkdir -p %{buildroot}%{_libdir}/X11/app-defaults/
#cp -p xgps.ad %{buildroot}%{_libdir}/X11/app-defaults/xgps
#cp -p xgpsspeed.ad %{buildroot}%{_libdir}/X11/app-defaults/xgpsspeed
mkdir -p %{buildroot}%{_sysconfdir}/hotplug.d/usb
cp -p gpsd.hotplug gpsd.usermap %{buildroot}%{_sysconfdir}/hotplug.d/usb/

#Install the .desktop files
desktop-file-install --vendor ccux                        \
    --dir %{buildroot}%{_datadir}/applications              \
    %{SOURCE200}
desktop-file-install --vendor ccux                        \
    --dir %{buildroot}%{_datadir}/applications              \
    %{SOURCE201}

#Install logo icon for .desktop files
mkdir -p %{buildroot}%{_datadir}/gpsd
cp -p %{SOURCE202} %{buildroot}%{_datadir}/gpsd/gpsd-logo.png

rm -rf $RPM_BUILD_ROOT%{python_sitelib}/gps*.egg-info

%files
%defattr(-,root,root,-)
%doc README INSTALL COPYING
%{_sbindir}/gpsd
%{_bindir}/gpsprof
%{_bindir}/gpsmon
%{_bindir}/gpsctl
%{_bindir}/lcdgps
%{_libdir}/libgps.so.*
%{_libdir}/libgpsd.so.*
%{_mandir}/man8/gpsd.8*
%{_mandir}/man1/gpsprof.1*
%{_mandir}/man1/gpsmon.1*
%{_mandir}/man1/gpsctl.1*
%{_mandir}/man1/lcdgps.1*
%{_sysconfdir}/hotplug.d/usb/gpsd.hotplug
%{_sysconfdir}/hotplug.d/usb/gpsd.usermap

%files qt
%defattr(-,root,root,-)
%{_libdir}/libQgpsmm.so.*

%files qt-devel
%defattr(-,root,root,-)
%{_libdir}/libQgpsmm.so

%files python
%defattr(-,root,root,-)
%{python_sitelib}/gps*.py*
%{python_sitelib}/gps

%files devel
%defattr(-,root,root,-)
%{_bindir}/gpsfake
%{_bindir}/gpsdecode
%{_libdir}/libgps.so
%{_libdir}/libgpsd.so
%{_libdir}/*.la
%_pkgconfig/*.pc
%{_includedir}/gps.h
%{_includedir}/libgpsmm.h
%{_includedir}/gpsd.h
%{_mandir}/man1/gpsfake.1*
%{_mandir}/man1/gpsdecode.1*
%{_mandir}/man3/libgps.3*
%{_mandir}/man3/libgpsmm.3*
%{_mandir}/man3/libgpsd.3*
%{_mandir}/man5/rtcm-104.5*
%{_mandir}/man5/srec.5*

%files clients
%defattr(-,root,root,-)
%{_bindir}/xgps
%{_bindir}/xgpsspeed
%{_bindir}/cgps
%{_bindir}/gpspipe
%{_bindir}/gpxlogger
%{_bindir}/gpscat
%{_mandir}/man1/gps.1*
%{_mandir}/man1/gpspipe.1*
%{_mandir}/man1/xgps.1*
%{_mandir}/man1/xgpsspeed.1*
%{_mandir}/man1/cgps.1*
%{_mandir}/man1/gpscat.1*
%{_datadir}/applications/*.desktop
%dir %{_datadir}/gpsd
%{_datadir}/gpsd/gpsd-logo.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.95-1
- Version update
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.39-2
- python 2.6
* Tue May 12 2009 Christian Wasem <wasem@ccux-linux.de> 1:2.39-1
- Version update, build with explicit /usr/bin/python2.5
* Wed Mar 04 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.37-3
- rebuild against libXaw 1.0.5
* Sun Dec 28 2008 Christian Wasem <wasem@ccux-linux.de> 1:2.37-2
- moved sub package group to System
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.37-1
- version update
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.36-2
- rebuild for missing packages and spec file 
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.36-1
- version update
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.34-1
- back to 2.34, builds against dbus
- added dbus support, removed python package, added seperate clients package
* Tue Dec 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.35-1
- Initial Release
